PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::optical::effective::EffectiveFrequencyCyl::FieldR Struct Reference

`#include <solvers/optical/effective/efm.hpp>`

Collaboration diagram for plask::optical::effective::EffectiveFrequencyCyl::FieldR:
[legend]

## Public Member Functions
| FieldR ()=default
| FieldR (dcomplex j, dcomplex h)
FieldR | operator* (dcomplex a) const
FieldR | operator/ (dcomplex a) const
FieldR & | operator*= (dcomplex a)
FieldR & | operator/= (dcomplex a)

## Public Attributes
dcomplex | J
dcomplex | H

## Detailed Description

Definition at line 64 of file efm.hpp.

## Constructor & Destructor Documentation

## ◆ FieldR() [1/2]

plask::optical::effective::EffectiveFrequencyCyl::FieldR::FieldR | ( |  | ) |
| default

## ◆ FieldR() [2/2]

plask::optical::effective::EffectiveFrequencyCyl::FieldR::FieldR | ( | dcomplex | j,
|  | dcomplex | h
| ) |  |
| inline

Definition at line 67 of file efm.hpp.

## Member Function Documentation

## ◆ operator*()

FieldR plask::optical::effective::EffectiveFrequencyCyl::FieldR::operator* | ( | dcomplex | a | ) | const
| inline

Definition at line 68 of file efm.hpp.

## ◆ operator*=()

FieldR & plask::optical::effective::EffectiveFrequencyCyl::FieldR::operator*= | ( | dcomplex | a | ) |
| inline

Definition at line 70 of file efm.hpp.

## ◆ operator/()

FieldR plask::optical::effective::EffectiveFrequencyCyl::FieldR::operator/ | ( | dcomplex | a | ) | const
| inline

Definition at line 69 of file efm.hpp.

## ◆ operator/=()

FieldR & plask::optical::effective::EffectiveFrequencyCyl::FieldR::operator/= | ( | dcomplex | a | ) |
| inline

Definition at line 75 of file efm.hpp.

## Member Data Documentation

## ◆ H

dcomplex plask::optical::effective::EffectiveFrequencyCyl::FieldR::H

Definition at line 65 of file efm.hpp.

## ◆ J

dcomplex plask::optical::effective::EffectiveFrequencyCyl::FieldR::J

Definition at line 65 of file efm.hpp.

The documentation for this struct was generated from the following file:

- solvers/optical/effective/efm.hpp